# 데이터 참조

- [단건 관계](https://docs.ohmyapp.io/main/guide/develop_app/4/block/list/ref.md): 다른 단일 메타에 있는 하나의 데이터에 접근할 수 있어요.
- [다건 관계](https://docs.ohmyapp.io/main/guide/develop_app/4/block/list/undefined.md): 다른 단일 메타에 있는 하나 이상의 데이터에 접근할 수 있어요.
- [listByMeta](https://docs.ohmyapp.io/main/guide/develop_app/4/block/list/listbymeta.md): 복합 메타에서 특정 메타를 불러와줘요.
- [dataByMeta](https://docs.ohmyapp.io/main/guide/develop_app/4/block/list/databymeta.md): 다른 메타의 데이터를 가져올 때 사용해요.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ohmyapp.io/main/guide/develop_app/4/block/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
